changeset 1645:a242ea5d6bb4

Make host-tools.sh update the record-commands wrapper so we can log the distcc, genext2fs, e2fsprogs, and mksquashfs builds.
author Rob Landley <rob@landley.net>
date Thu, 03 Apr 2014 06:01:11 -0500
parents cc716bec3527
children b53d7469b70e
files host-tools.sh
diffstat 1 files changed, 7 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/host-tools.sh	Wed Apr 02 05:19:06 2014 -0500
+++ b/host-tools.sh	Thu Apr 03 06:01:11 2014 -0500
@@ -35,10 +35,9 @@
 blank_tempdir "$WORK"
 mkdir -p "$STAGE_DIR" || dienow
 
-# If we're not recording the host command lines, then populate a directory
-# with host versions of all the command line utilities we're going to install
-# into root-filesystem.  When we're done, PATH can be set to include just this
-# directory and nothing else.
+# Populate a directory with host versions of all the command line utilities
+# we're going to install into root-filesystem.  When we're done, PATH can be
+# set to include just this directory and nothing else.
 
 # This serves three purposes:
 #
@@ -133,6 +132,10 @@
 # remove the old ones.
 
 PATH="$(hosttools_path)"
+if [ -e "$BUILD"/record-commands ]
+then
+  cd "$TOP" && more/record-commands.sh || dienow
+fi
 
 # This is optionally used by root-filesystem to accelerate native builds when
 # running under qemu.  It's not used to build root-filesystem, or to build